VisualEditor: The reference name for a newly added reference is not appearing in the dialog for "Use existing reference" while opening it for the first time
Closed, ResolvedPublic

Description

Screenshot

Steps to reproduce:

1.Open a page with VE
2.Insert a reference
3.Go to the option Use an existing reference

Observed Result:
In the dialog for using an existing reference, the reference name for the reference just added is missing just the reference number appears inside the bracket.
Opening it for the second time brings up the reference name

See the screenshot attached

Environment:http://en.m.wikipedia.beta.wmflabs.org/
Both on Desktop browser and iOS Device


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=68869

Attached:

bzimport set Reference to bz67342.
Ryasmeen created this task.Via LegacyJul 1 2014, 12:48 AM
Ryasmeen added a comment.Via ConduitJul 29 2014, 11:44 PM

This is happening in desktop as well , not when you add Basic reference but cite references.

gerritbot added a comment.Via ConduitJul 30 2014, 11:56 PM

Change 150736 had a related patch set uploaded by Alex Monk:
Don't clone internal item node element used for references in re-use citation dialog

https://gerrit.wikimedia.org/r/150736

gerritbot added a comment.Via ConduitJul 30 2014, 11:59 PM

Change 150736 merged by jenkins-bot:
Don't clone internal item node element used for references in re-use citation dialog

https://gerrit.wikimedia.org/r/150736

Krenair added a comment.Via ConduitJul 31 2014, 12:03 AM

Should be solved.

Ryasmeen added a comment.Via ConduitAug 4 2014, 10:48 PM

Verified the fix in test2

Ryasmeen added a comment.Via ConduitAug 14 2014, 8:06 PM

Verified the fix in production for both desktop and mobile

Add Comment